Provides a unified endpoint for Google Cloud user authentication, exchanging credentials for OAuth 2.0 access tokens.
Service: cloudoauth.googleapis.com
Service endpoint
A service endpoint is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:
https://cloudoauth.googleapis.com
REST Resource: v1.common
| Methods | |
|---|---|
groups |
GET /v1/common/groups Retrieves a list of groups for the authenticated user from the distributed claims endpoint. |
token |
POST /v1/common/token Exchanges a credential for a Google-generated OAuth 2.0 access token or refreshes an access token following the OAuth 2.0 Authorization Framework. |
userinfo |
GET /v1/common/userinfo Retrieves claims about the authenticated user from the OIDC /userinfo endpoint. |
REST Resource: v1.organizations
| Methods | |
|---|---|
token |
POST /v1/{parent=organizations/*}/token Exchanges a credential for a Google-generated OAuth 2.0 access token or refreshes an access token following the OAuth 2.0 Authorization Framework. |
userinfo |
GET /v1/{parent=organizations/*}/userinfo Retrieves claims about the authenticated user from the OIDC /userinfo endpoint. |